Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion

From: Gregory Heytings <[email-masked]>
Date: Tue, 26 Oct 2021 19:06:56 +0000

>
> Your patch violates the file-name-all-completions API. Testing with 
> "emacs -Q -l tramp":
>

We've discussed this earlier.  I concluded that the problem is in the 
file-name-all-completions, where it can be fixed with a single line 
change.  You believe that the problem should be fixed at the level of the 
completion mechanisms, which won't happen.

>
> Currently, we have the following with vanilla Emacs (on my laptop):
>
> (file-name-all-completions "" "/") => ("sudoedit:" ...)
>
> With your one-line patch, we have instead
>
> (file-name-all-completions "" "/") => ("sbin/" ...)
>
> That means, all Tramp methods are suppressed.
>

That's a very partial way of presenting what my patch does.  The truth is 
that Tramp methods are not at all suppressed.  They are not returned when 
the completions of the root directory are required, they are returned as 
soon as at least one character is typed:

(file-name-all-completions "s" "/") => ("sudoedit:" "sshfs:" ... "sys/" ...)